/*#########################################################################
#                                                                         #
#   Simple script shamelessly recopied from Cool Streams                  #
#                                                                         #
#   Copyright                                                             #
#   (C) 2007, 2008 Nikolaj Hald Nielsen  <nhnFreespirit@gmail.com>        #
#   (C)       2008 Peter ZHOU <peterzhoulei@gmail.com>                    #
#   (C)       2008 Mark Kretschmann <kretschmann@kde.org>                 #
#   (C)       2008 Georges Dubus <georges.dubus@supelec.fr>               #
#                                                                         #
#   This program is free software; you can redistribute it and/or modify  #
#   it under the terms of the GNU General Public License as published by  #
#   the Free Software Foundation; either version 2 of the License, or     #
#   (at your option) any later version.                                   #
#                                                                         #
#   This program is distributed in the hope that it will be useful,       #
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        #
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         #
#   GNU General Public License for more details.                          #
#                                                                         #
#   You should have received a copy of the GNU General Public License     #
#   along with this program; if not, write to the                         #
#   Free Software Foundation, Inc.,                                       #
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         #
##########################################################################*/

function Station( name, url )
{
    this.name = name;
    this.url = url;
}

var stationArray = new Array (
new Station( "France Inter",    "http://www.tv-radio.com/station/france_inter_mp3/france_inter_mp3-128k.m3u" ),
new Station( "France Info",     "http://players.creacast.com/creacast/france_info/playlist.m3u" ),
new Station( "France Culture",  "http://www.tv-radio.com/station/france_culture_mp3/france_culture_mp3-128k.m3u" ),
new Station( "France Musique",  "http://www.tv-radio.com/station/france_musique_mp3/france_musique_mp3-128k.m3u" ),
new Station( "FIP",     "http://www.tv-radio.com/station/fip_mp3/fip_mp3-128k.m3u" ),
new Station( "Le Mouv'",        "http://www.tv-radio.com/station/le_mouv_mp3/le_mouv_mp3-128k.m3u" ),
new Station( "France Vivace",   "http://www.tv-radio.com/station/france_vivace_mp3/france_vivace_mp3-128k.m3u" ),
new Station( "France Bleu",     "Ile-de-France" ),
new Station( "Chemins de la Connaissance",      "http://www.tv-radio.com/station/les_chemins_de_la_connaissance_mp3/les_chemins_de_la_connaissance_mp3-128k.m3u" ),
new Station( "Sentiers de la Création", "http://www.tv-radio.com/station/les_sentiers_de_la_creation_mp3/les_sentiers_de_la_creation_mp3-128k.m3u" )
);

function RadioFrance()
{
    ScriptableServiceScript.call( this, "Radio France", 1, "Liste des flux internet de Radio France", "Et surtout, ne lachez rien", false );
}

function onConfigure()
{
    Amarok.alert( "This script does not require any configuration." );
}

function onPopulating( level, callbackData, filter )
{
    Amarok.debug( " Populating station level..." );
    //add the station streams as leaf nodes
    for ( i = 0; i < stationArray.length; i++ )
    {
        item = Amarok.StreamItem;
        item.level = 0;
        item.callbackData = "";
        item.itemName = stationArray[i].name;
        item.playableUrl = stationArray[i].url;
        item.infoHtml = "A cool stream called " + item.itemName;
        script.insertItem( item );
    }
    script.donePopulating();
}

Amarok.configured.connect( onConfigure );

script = new RadioFrance();
script.populate.connect( onPopulating );
